Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml._test
Class DefaultTestLogger

Direct Known Subclasses:
  HtmlStatisticsLogger

public class DefaultTestLogger
implements TestLogger

Field Summary
`int` | `MAX_ERROR_NUMBER`
`int` | `MAX_WARNING_NUMBER`

Constructor Summary
`DefaultTestLogger(String title)`

Method Summary
`void` | `categoryStarted(String category)`
`void` | `complete()`
`void` | `error(Exception e)`
`void` | `error(int status, String message)`
`String` | `getCurrentCategory()`
`String` | `getCurrentTest()`
`Exception` | `getException()`
`String` | `getMessages()`
`long` | `getSimulationTime()`
`int` | `getStatus()`
`void` | `simulationCompleted()`
`void` | `simulationStarted()`
`void` | `testCompleted()`
`void` | `testStarted(String testName)`
`void` | `warn(String message)`

Field Detail

### MAX_ERROR_NUMBER

    public int MAX_ERROR_NUMBER

### MAX_WARNING_NUMBER

    public int MAX_WARNING_NUMBER

Constructor Detail

### DefaultTestLogger

    public DefaultTestLogger(String title)

Method Detail

### categoryStarted

    public void categoryStarted(String category)

### complete

    public void complete()

### error

    public void error(Exception e)

### error

    public void error(int status, String message)

### getCurrentCategory

    public String getCurrentCategory()

### getCurrentTest

    public String getCurrentTest()

### getException

    public Exception getException()

### getMessages

    public String getMessages()

### getSimulationTime

    public long getSimulationTime()

### getStatus

    public int getStatus()

### simulationCompleted

    public void simulationCompleted()

### simulationStarted

    public void simulationStarted()

### testCompleted

    public void testCompleted()

### testStarted

    public void testStarted(String testName)

### warn

    public void warn(String message)

Association Links

to Class org.apache.log4j.Category

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.Exception

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM